<?php

class actionBlacklistAdd extends cmsAction {

    public function run($user_id = false) {

        if (!$user_id) { cmsCore::error404(); }

        if (!cmsUser::isLogged()) { cmsCore::error404(); }

        if ($this->model->isBlocked($this->cms_user->id, $user_id)) { cmsCore::error404(); }

        $user = cmsCore::getModel('users')->getUser($user_id);
        if (!$user) { cmsCore::error404(); }

        if (!cmsUser::isAdmin() && cmsUser::isUserInGroups($user['groups'], $this->options['groups_denied'])) {

            cmsCore::error404();

        }

        $messages_model = cmsCore::getModel('messages');

        $this->model->addToBlackList($this->cms_user->id, $user_id);

        $messages_model->ignoreContact($this->cms_user->id, $user_id);
        $messages_model->setMessagesReaded($this->cms_user->id, $user_id);
        $messages_model->deleteContact($this->cms_user->id, $user_id);

        cmsUser::addSessionMessage(LANG_BLACKLIST_ADDED, 'success');

        $this->redirectBack();

    }

}