<?php

class actionBlacklistDelete extends cmsAction {

    public function run($user_id = false) {

        if (!cmsUser::isLogged()) { cmsCore::error404(); }

        if (!$user_id) { cmsCore::error404(); }

        if (!$this->model->isBlocked($this->cms_user->id, $user_id)) { return false; }

        $user = cmsCore::getModel('users')->getUser($user_id);
        if (!$user){ cmsCore::error404(); }

        $messages_model = cmsCore::getModel('messages');

        $this->model->removeFromBlackList($this->cms_user->id, $user_id);
        $messages_model->forgiveContact($this->cms_user->id, $user_id);

        cmsUser::addSessionMessage(LANG_BLACKLIST_DELETED, 'success');

        $this->redirectBack();

    }

}