<?php

class onBlacklistCommentAddPermissions extends cmsAction {

    public function run($data = array()) {

        if (cmsUser::isAdmin()) { return $data; }

        list($comment, $permissions) = $data;

        if ($this->options['comment_content']) {

            if ($comment['target_controller'] === 'content') {

                $content_model = cmsCore::getModel('content');

                $content_item = $content_model->getContentItem($comment['target_subject'], $comment['target_id']);

                if ($content_item) {

                    $author_id = $content_item['user_id'];

                    if ($this->model->isBlocked($author_id, $this->cms_user->id)) {

                        $permissions['error']   = true;
                        $permissions['message'] = LANG_BLACKLIST_COMMENT_MESSAGE;

                    }

                }

            }

            if ($comment['target_controller'] === 'photos') {

                $photos_model = cmsCore::getModel('photos');

                if ($comment['target_subject'] === 'photo') {

                    $photo = $photos_model->getPhoto($comment['target_id']);

                    if ($photo) {

                        $author_id = $photo['user_id'];

                        if ($this->model->isBlocked($author_id, $this->cms_user->id)) {

                            $permissions['error']   = true;
                            $permissions['message'] = LANG_BLACKLIST_COMMENT_MESSAGE;

                        }

                    }

                }

            }

        }

        return array($comment, $permissions);

    }

}