<?php

class onBlacklistUsersProfileView extends cmsAction {

    public function run($profile) {

        if (!cmsUser::isLogged()) { return $profile; }
        if ($this->cms_user->id == $profile['id'] || $profile['is_deleted']) { return $profile; }

        if ($this->options['view_profile'] && $this->model->isBlocked($profile['id'], $this->cms_user->id)) {

            $profile['privacy_options']['users_profile_view'] = false;

        }

        $this->addButton($profile);

        return $profile;

    }

    private function addButton($profile) {

        if ($this->model->isBlocked($this->cms_user->id, $profile['id'])) {

            // Ссылка на удаление пользователя из чс
            $this->cms_template->addToolButton(array(
                'title' => LANG_BLACKLIST_DELETE,
                'class' => 'user_delete',
                'href'  => href_to($this->name, 'delete', array($profile['id']))
            ));

        } else {

            if (!cmsUser::isAdmin() && cmsUser::isUserInGroups($profile['groups'], $this->options['groups_denied'])) {

                return;

            }

            // Ссылка на добавление пользователя в чс
            $this->cms_template->addToolButton(array(
                'title' => LANG_BLACKLIST_ADD,
                'class' => 'user_add',
                'href' => href_to($this->name, 'add', array($profile['id']))
            ));

        }

    }

}