<?php

class modelBlacklist extends cmsModel {

    public function getBlockedCount($user_id) {

        $this->useCache('users.blacklist');

        $this->filterEqual('user_id', $user_id);

        $count = $this->getCount('{users}_blacklist');

        $this->resetFilters();

        return $count;

    }

    public function addToBlackList($user_id, $blocked_user_id) {

        $result = $this->insert('{users}_blacklist', array(
            'user_id'         => $user_id,
            'blocked_user_id' => $blocked_user_id
        ));

        cmsCache::getInstance()->clean('users.blacklist');

        return $result;

    }

    public function removeFromBlackList($user_id, $blocked_user_id) {

        $this->filterEqual('user_id', $user_id);
        $this->filterEqual('blocked_user_id', $blocked_user_id);
        $this->limit(1);

        $this->deleteFiltered('{users}_blacklist');

        cmsCache::getInstance()->clean('users.blacklist');

        return true;

    }

    public function isBlocked($user_id, $blocked_user_id) {

        $this->useCache('users.blacklist');

        $this->filterEqual('user_id', $user_id);
        $this->filterEqual('blocked_user_id', $blocked_user_id);
        $this->limit(1);

        $count = $this->getCount('{users}_blacklist');

        $this->resetFilters();

        return $count;

    }

    public function getBlockedUsers($user_id) {

        $this->useCache('users.blacklist');

        $this->filterEqual('user_id', $user_id);
        $this->joinUser('blocked_user_id');

        return $this->get('{users}_blacklist', function($item, $model) {

            $item = array(
                'id'       => $item['blocked_user_id'],
                'nickname' => $item['user_nickname'],
                'avatar'   => $item['user_avatar']
            );

            return $item;

        });

    }

    public function deleteController($name) {

        $this->filterEqual('controller', 'blacklist');
        $this->filterEqual('name', 'blacklist');

        $this->deleteFiltered('{users}_tabs');

        return parent::deleteController($name);

    }


}